Bug 465905 - Text for 'Computer' icon wrapped when running on XO
Text for 'Computer' icon wrapped when running on XO
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: FedoraOnXO F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-06 22:14 EDT by Jeremy Katz
Modified: 2015-03-03 17:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (406.68 KB, image/png)
2008-10-09 19:33 EDT, Jeremy Katz
no flags Details

  None (edit)
Description Jeremy Katz 2008-10-06 22:14:19 EDT
The text below the 'Computer' icon wraps the 'r' when running on the XO which looks a bit out of place.
Comment 1 Matthias Clasen 2008-10-07 11:13:12 EDT
Is this a problem of the font size being too large relative to the grid size ?

A screenshot might help to clarify the situation.
Comment 2 Jeremy Katz 2008-10-07 11:41:40 EDT
I thought I had attached one... bah.  And I managed to leave my stash of USB sticks + SD cards at home so can't get one until later tonight
Comment 3 Bryan Kearney 2008-10-08 21:02:43 EDT
The default dpi is set to be 201 (I think). That causes the fonts to be waay to big. If you go into gnome-appearance-properties select font->details and change it to 96 dpi then the ui works better. Ideally, the default setup would be 96dpi
Comment 4 Jeremy Katz 2008-10-09 19:33:36 EDT
Created attachment 319962 [details]
screenshot
Comment 5 Jeremy Katz 2008-10-31 15:37:37 EDT
Also, "liveuser's home" gets wrapped now that we've changed fedora->liveuser.  This is pretty noticeable for users of Fedora on the XO
Comment 6 Matthias Clasen 2008-11-03 13:53:34 EST
The basic problem is that nautilus doesn't take dpi into account when deciding about its grid size:

#define STANDARD_ICON_GRID_WIDTH 155


It probably needs some 

if (dpi > 96) 
  grid = STANDARD_ICON_GRID_WIDTH * dpi / 96;

somewhere.
Comment 7 Matthias Clasen 2008-11-07 09:52:31 EST
Sent a note about this to nautilus-list, lets see what they say...
Comment 8 Bug Zapper 2008-11-25 22:37:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matthias Clasen 2008-12-12 22:05:17 EST
No response on the list, trying a bug report next:
http://bugzilla.gnome.org/show_bug.cgi?id=564350
Comment 10 Joshua Armstrong 2009-03-02 16:52:01 EST
Triage: changing to ASSIGNED.
Comment 12 Bug Zapper 2009-11-18 03:31:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:31:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.